KStatusBar class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KStatusBar Class Reference

Display status messages. KDE statusbar widget. More...

`#include <kstatusbar.h>`

Inheritance diagram for KStatusBar:

[legend]
Collaboration diagram for KStatusBar:

[legend]
List of all members.

## Public Types
enum | BarStatus { Toggle, Show, Hide }
| WARNING: This enum is only for backward compatibility and it may be removed. More...
## Signals
void | pressed (int)
| Emitted when mouse is pressed over item `id`.
void | released (int)
| Emitted when mouse is released over item `id`.
## Public Member Functions
| KStatusBar (QWidget *parent=0L, const char *name=0L)
| Constructs a status bar.
| ~KStatusBar ()
| Destructor.
void | insertItem (const QString &text, int id, int stretch=0, bool permanent=false)
| Inserts a text label into the status bar.
void | insertFixedItem (const QString &text, int id, bool permanent=false)
| Inserts a fixed width text label into status bar.
void | removeItem (int id)
| Removes an item.
void | changeItem (const QString &text, int id)
| Changes the text in a status bar field.
void | setItemAlignment (int id, int align)
| Sets the alignment of item `id`.
void | setItemFixed (int id, int width=-1)
| Sets item `id` to have fixed width.

## Detailed Description

Display status messages. KDE statusbar widget.

You can insert text labels or custom widgets. Their geometry is managed internally. KStatusBar resizes itself, but positioning is left to KMainWindow (or to you, if you don't use KMainWindow ).

A special type of item is a message which is a temporary text-message displayed on top of other items in full-width. Messages are visible for specified time, or until you call the slot QStatusBar::clear(). See QStatusBar::message for details.

KStatusBar inherits QStatusBar, you can freely use all QStatusBar methods.

Empty text items are not visible. They will become visible when you change (add) text.

Author:
  Mark Donohoe (donohoe@kde.org) Maintained by Sven Radej <radej@kde.org>

Version:
  Id
    kstatusbar.h,v 1.34 2002/03/04 00:51:51 lunakl Exp

Definition at line 81 of file kstatusbar.h.

## Member Enumeration Documentation

enum KStatusBar::BarStatus

| WARNING: This enum is only for backward compatibility and it may be removed. No method here uses it. Definition at line 90 of file kstatusbar.h.

## Constructor & Destructor Documentation

KStatusBar::KStatusBar | ( | QWidget * | parent = 0L,
|  | const char * | name = 0L
| ) |

| Constructs a status bar. `parent` is usually KMainWindow. Definition at line 63 of file kstatusbar.cpp. References KGlobal::config(), QString::fromLatin1(), KConfigBase::group(), KStdAccel::name(), KConfigBase::readBoolEntry(), KConfigBase::setGroup(), and QStatusBar::setSizeGripEnabled().

KStatusBar::~KStatusBar | ( |  | ) |

| Destructor. Deletes all internal objects. Definition at line 76 of file kstatusbar.cpp.

## Member Function Documentation

void KStatusBar::insertItem | ( | const QString & | text,
|  | int | id,
|  | int | stretch = 0,
|  | bool | permanent = false
| ) |

  | Inserts a text label into the status bar. Paremeters `stretch` and `permanent` are passed to QStatusBar::addWidget . If `permanent` is true, then item will be placed on the far right of the statusbar and will never be hidden by QStatusBar::message. Parameters:
  id | id of item
  stretch | stretch passed to QStatusBar::addWidget
  permanent | is item permanent or not (passed to QStatusBar::addWidget )
See also: QStatusbar::addWidget Definition at line 80 of file kstatusbar.cpp. References QStatusBar::addWidget(), and QIntDict< KStatusBarLabel >::insert(). Referenced by insertFixedItem().

void KStatusBar::insertFixedItem | ( | const QString & | text,
|  | int | id,
|  | bool | permanent = false
| ) | `[inline]`

  | Inserts a fixed width text label into status bar. The width will be set according to `text`, but will remain fixed even if you change text. You can change fixed width by calling setItemFixed. Parameters:
  id | id ov item
  permanent | permanent flag passed to QStatusBar::addWidget
Definition at line 128 of file kstatusbar.h. References insertItem(), and setItemFixed().

void KStatusBar::removeItem | ( | int | id | ) |

  | Removes an item. Parameters:
  id | The item to remove.
Definition at line 89 of file kstatusbar.cpp. References QStatusBar::removeWidget().

void KStatusBar::changeItem | ( | const QString & | text,
|  | int | id
| ) |

  | Changes the text in a status bar field. The item will be resized to fit the text. If you change text to be empty, item will not be visible (untill you add some text). Parameters:
  id | The id of item.
Definition at line 102 of file kstatusbar.cpp. References QStatusBar::clear(), QStatusBar::reformat(), and QLabel::setText().

void KStatusBar::setItemAlignment | ( | int | id,
|  | int | align
| ) |

| Sets the alignment of item `id`. By default all fields are aligned `AlignHCenter` | `AlignVCenter`. See QLabel::setAlignment for details. Definition at line 115 of file kstatusbar.cpp. References QLabel::setAlignment().

void KStatusBar::setItemFixed | ( | int | id,
|  | int | width = -1
| ) |

  | Sets item `id` to have fixed width. This cannot be undone, but you can always set new fixed width. Parameters:
  id | id of item
  width | fixed width in pixels. Default -1 is to adapt to text width.
Definition at line 126 of file kstatusbar.cpp. References QLabel::text(). Referenced by insertFixedItem().

void KStatusBar::pressed | ( | int |  | ) | `[signal]`

| Emitted when mouse is pressed over item `id`. Connect to this signal if you want to respond to mouse press events.

void KStatusBar::released | ( | int |  | ) | `[signal]`

| Emitted when mouse is released over item `id`. Connect to this signal if you want to respond to mouse release events (clicks).

The documentation for this class was generated from the following files:

- kstatusbar.h
- kstatusbar.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:04:52 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001